---
updatedAt: 2026-01-05T16:30:10.000Z
agentTools:
  projectIndex: https://docs.aerocrs.com/llms.txt
---

# createOpenService

This method will add an open service to the reservation

## Request parameters

> ❗️ Important notice
>
> Need to call this API **after** confirmBooking

| Parameter           | Type      | Description                                                             |
| :------------------ | :-------- | :---------------------------------------------------------------------- |
| bookingconfirmation | String\*  | Booking confirmation (from confirmBooking Response)                     |
| servicetype         | String\*  | Service type from the airline                                           |
| supplier            | String\*  | Open Service supplier                                                   |
| servicedate         | String\*  | Date time value in YYYY-MM-DD HH:mm format                              |
| adults              | Numeric\* | Number of adult passengers                                              |
| child               | Numeric\* | Number of child passengers                                              |
| infant              | Numeric\* | Number of infant passengers                                             |
| currency            | String\*  | Currency code                                                           |
| fare                | Numeric   | Base fare amount                                                        |
| tax                 | Numeric   | Tax amount                                                              |
| vat                 | Numeric   | VAT amount - Must be a decimal between 0.0 and 0.99 (e.g., 0.1 for 10%) |
| chargevatontax      | Boolean   | Charge VAT value on tax (TRUE/FALSE)                                    |
| remark              | String    | Optional free text                                                      |

> ❗️ \* Mandatory parameters

## Response

| Parameter | Type    | Description                                                      |
| :-------- | :------ | :--------------------------------------------------------------- |
| bookingid | Number  | As requested (same as from createBooking Response)               |
| success   | Boolean | True if the open service was added successfully, False otherwise |

<br />

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "aerocrs-v5",
    "version": "5.0"
  },
  "servers": [
    {
      "url": "https://api.aerocrs.com/v5"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "auth_id"
      },
      "sec1": {
        "type": "apiKey",
        "in": "header",
        "name": "auth_password"
      }
    }
  },
  "security": [
    {
      "sec0": [],
      "sec1": []
    }
  ],
  "paths": {
    "/createOpenService": {
      "post": {
        "summary": "Copy of createAncillary",
        "description": "This method will add an ancillary service to the reservation",
        "operationId": "post_createAncillary-1",
        "parameters": [
          {
            "name": "auth_id",
            "in": "header",
            "description": "ID provided to you by AeroCRS",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "auth_password",
            "in": "header",
            "description": "Password provided to you by AeroCRS",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "RAW_BODY"
                ],
                "properties": {
                  "RAW_BODY": {
                    "type": "string",
                    "description": "The method accepts the XML / JSON input as POST, response format will be according to the sent format. You can try JSON, put the post in the following input and click \"Try It\"",
                    "format": "json"
                  }
                }
              },
              "examples": {
                "JSON": {
                  "value": {
                    "aerocrs": {
                      "parms": {
                        "bookingconfirmation": "10602502-E841-4BE6-A8A0-1665F56CFD34",
                        "servicetype": "Group",
                        "supplier": "AH",
                        "servicedate": "2025-12-29 12:45",
                        "adults": 1,
                        "child": 0,
                        "infant": 0,
                        "currency": "USD",
                        "fare": 100,
                        "tax": 0,
                        "vat": 0,
                        "chargevatontax": true,
                        "remark": ""
                      }
                    }
                  },
                  "summary": "JSON"
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "schema": {
                  "oneOf": [
                    {
                      "title": "JSON",
                      "type": "object",
                      "properties": {
                        "aerocrs": {
                          "type": "object",
                          "properties": {
                            "success": {
                              "type": "boolean",
                              "example": true,
                              "default": true
                            },
                            "details": {
                              "type": "array",
                              "items": {
                                "type": "object",
                                "properties": {
                                  "ancillary": {
                                    "type": "object",
                                    "properties": {
                                      "itemid": {
                                        "type": "integer",
                                        "example": 4712,
                                        "default": 0
                                      },
                                      "bookingid": {
                                        "type": "integer",
                                        "example": 36124538,
                                        "default": 0
                                      },
                                      "flightid": {
                                        "type": "integer",
                                        "example": 10953300,
                                        "default": 0
                                      }
                                    }
                                  },
                                  "invid": {
                                    "type": "integer",
                                    "example": 21854336,
                                    "default": 0
                                  },
                                  "success": {
                                    "type": "boolean",
                                    "example": true,
                                    "default": true
                                  }
                                }
                              }
                            }
                          }
                        }
                      }
                    },
                    {
                      "title": "JSON - 2",
                      "type": "object",
                      "properties": {
                        "aerocrs": {
                          "type": "object",
                          "properties": {
                            "success": {
                              "type": "boolean",
                              "example": true,
                              "default": true
                            },
                            "details": {
                              "type": "array",
                              "items": {
                                "type": "object",
                                "properties": {
                                  "ancillary": {
                                    "type": "object",
                                    "properties": {
                                      "itemid": {
                                        "type": "integer",
                                        "example": 6955,
                                        "default": 0
                                      },
                                      "flightid": {
                                        "type": "integer",
                                        "example": 19384583,
                                        "default": 0
                                      }
                                    }
                                  },
                                  "success": {
                                    "type": "boolean",
                                    "example": true,
                                    "default": true
                                  }
                                }
                              }
                            },
                            "bookingid": {
                              "type": "integer",
                              "example": 36720213,
                              "default": 0
                            }
                          }
                        }
                      }
                    }
                  ]
                }
              }
            }
          }
        },
        "deprecated": false,
        "security": [],
        "x-readme": {
          "code-samples": [
            {
              "code": "{\n  \"aerocrs\": {\n    \"parms\": {\n      \"bookingconfirmation\": \"10602502-E841-4BE6-A8A0-1665F56XXXX\",\n      \"servicetype\": \"Service\",  \n      \"supplier\": \"Airline Supplier\",     \n      \"servicedate\": \"2025-12-29 12:45\",\n      \"adults\": 1,         \n      \"child\": 0,                \n      \"infant\": 0,             \n      \"currency\": \"USD\",          \n      \"fare\": 100.0,              \n      \"tax\": 0.0,             \n      \"vat\": 0.0,              \n      \"chargevatontax\": true,     \n      \"remark\": \"\"            \n    }\n  }\n}",
              "language": "json",
              "name": ""
            }
          ],
          "samples-languages": [
            "json"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": false,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```